Skip to navigation

List Webhook Subscriptions

Get a paginated list of webhooks for your organization.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

event_nameenum or nullOptional

Enum for webhook events

We need this list to be extensive and specific to avoid customers subscribing to events that don't exist or are not supported.

statusenum or nullOptional
Enum for webhook status
Allowed values:
sort_byenumOptional
Enum for webhook list sortable fields
Allowed values:
sort_orderenumOptional
Enum for sort direction shared across paginated list endpoints
Allowed values:
cursorstring or nullOptional
Cursor for the next page
sizeintegerOptional1-1000Defaults to 300
Page size

Response

Successful Response
itemslist of objects
totalinteger>=0
current_pagestring or nullOptional
Cursor to refetch the current page
current_page_backwardsstring or nullOptional
Cursor to refetch the current page starting from the last item
previous_pagestring or nullOptional
Cursor for the previous page
next_pagestring or nullOptional
Cursor for the next page

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
405
Method Not Allowed Error
409
Conflict Error
422
Unprocessable Entity Error
429
Too Many Requests Error
500
Internal Server Error